#!/usr/bin/perl


use Pg;
require('../common/config');
require('../common/selection');

# read query string
$oid = $ENV{'QUERY_STRING'};


print "Content-type: text/html

<title>Edit Alternate</title>

<body bgcolor=ffffff>
";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";




$query = "select * from alternate where oid = $oid;";
$ct = PQexec($conn, $query);
$n = PQntuples($ct);

if ($n) {
  $oem_number = PQgetvalue($ct,0,0);
  $alt_number = PQgetvalue($ct,0,1);
  $altmk = PQgetvalue($ct,0,2);
  $oemmk = PQgetvalue($ct,0,3);
  
  $oem_make = &buildselection("$oemmk","oem_make","make");
  $alt_make = &buildselection("$altmk","alt_make","make");

  print "
  <h2>Editing Alternate</h2>

  <form method=post action=update.pl>

  <table border=1>
  <tr>
  <td>

  <table>
  <tr>
  <th align=right>OEM Number:</th><td><input name=oem_number value=\"$oem_number\" size=16 maxlength=16></td><td>$oem_make</td>
  </tr>

  <tr>
  <th align=right>Alternate:</th><td><input name=alt_number value=\"$alt_number\" size=16 maxlength=16></td><td>$alt_make</td>
  </tr>
  </table>

  </td>
  </tr>

  </table>

  <p>
  <input type=hidden name=oid value=$oid>
  <input type=submit value=Update>
  </form>
  ";
} else {
  # record is gone
  print "<h2><font color=red>Record does not exist anymore!</font></h2>";
}

PQclear($ct);
PQfinish($conn);


print "

</body>
</html>
";


