#!/usr/bin/perl


use Pg;
require('../common/config');
require('dbstruct');


# read query string
$oid = $ENV{'QUERY_STRING'};

print "Content-type: text/html\n\n";
print "<body bgcolor=ffffff>\n";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";

# retrieve record
$query = "select * from company where oid = $oid;";
$ct = PQexec($conn, $query);
# check if it is still there
$n = PQntuples($ct);

if ($n) {
  $name = PQgetvalue($ct, 0, 0);
  $addr1 = PQgetvalue($ct, 0, 1);
  $addr2 = PQgetvalue($ct, 0, 2);
  $addr3 = PQgetvalue($ct, 0, 3);
  $contact = PQgetvalue($ct, 0, 4);
  $phone = PQgetvalue($ct, 0, 5);
  $fax = PQgetvalue($ct, 0, 6);
  $email = PQgetvalue($ct, 0, 7);
  $website = PQgetvalue($ct, 0, 8);
  $notes = PQgetvalue($ct, 0, 9);


print "
<h2>Editing $name</h2>

<table border=1>
<tr><td>

<form method=post action=update.pl>

<table>
<tr>
<th align=right>Name</th>
<td><input name=name value=\"$name\" size=35 maxlength=35></td>
<th align=right>Phone</th>
<td><input name=phone value=\"$phone\" size=20 maxlength=20></td>
</tr>
<tr>
<th align=right>Address</th>
<td><input name=addr1 value=\"$addr1\" size=35 maxlength=35></td>
<th align=right>Fax</th>
<td><input name=fax value=\"$fax\" size=20 maxlength=20></td>
</tr>
<tr>
<th></th>
<td><input name=addr2 value=\"$addr2\" size=35 maxlength=35></td>
</tr>
<tr>
<th></th>
<td><input name=addr3 value=\"$addr3\" size=35 maxlength=35></td>
</tr>
<tr>
<th align=right>Contact</th>
<td><input name=contact value=\"$contact\" size=35 maxlength=35></td>
</tr>
<tr>
<th align=right>email</th>
<td colspan=4>
<input name=email value=\"$email\" size=50></td>
</tr>
<tr>
<th align=right>Website</th>
<td colspan=4>
<input name=website value=\"$website\" size=50></td>
</tr>
<tr>
<th>Notes</th>
<td colspan=4>
<textarea name=notes rows=6 cols=70>$notes</textarea></td>
</tr>

</table>

<input type=hidden name=oid value=$oid>
<p><input type=submit value=Update>
</form>

</table>
";
} else {
  # record is gone
  print "<h2><font color=red>Record does not exist anymore!</font></h2>";
}

PQclear($ct);

PQfinish($conn);

print "
</body>
</html>
";

