#!/usr/bin/perl


use Pg;
require('../common/config');


# read query string
$oid = $ENV{'QUERY_STRING'};

print "Content-type: text/html

<title>Edit Exchange Rate</title>

<body bgcolor=ffffff>
";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";

# retrieve record
$query = "select * from currency where oid = $oid;";
$ct = PQexec($conn, $query);
# check if it is still there
$n = PQntuples($ct);

if ($n) {
  $id = PQgetvalue($ct, 0, 0);
  $name = PQgetvalue($ct, 0, 1);
  $buy = PQgetvalue($ct, 0, 2);
  $sell = PQgetvalue($ct, 0, 3);


print "
<h2>Editing Exchange Rate</h2>


<form method=post action=update.pl>

<table border=1>

<tr>
<th align=right>Code:</th><td><input name=id value=\"$id\" size=3></td>
<th align=right>Name:</th><td><input name=name value=\"$name\" size=20></td>
</tr>

<tr>
<th align=right>Buy:</th><td><input name=buy value=\"$buy\" size=9></td>

<th align=right>Sell:</th><td><input name=sell value=\"$sell\" size=9></td>
</tr>

</table>


<input type=hidden name=oid value=$oid>
<p><input type=submit value=Update>
</form>

";
} else {
  # record is gone
  print "<h2><font color=red>Record does not exist anymore!</font></h2>";
}

PQclear($ct);

PQfinish($conn);

print "
</body>
</html>
";

