#!/usr/bin/perl


use Pg;
require('../common/config');


# read query string
$oid = $ENV{'QUERY_STRING'};

print "Content-type: text/html\n\n";
print "<body bgcolor=ffffff>\n";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";

# retrieve record
$query = "select * from customer where oid = $oid;";
$ct = PQexec($conn, $query);
# check if it is still there
$n = PQntuples($ct);

if ($n) {
  $name = PQgetvalue($ct, 0, 1);
  $addr1 = PQgetvalue($ct, 0, 2);
  $addr2 = PQgetvalue($ct, 0, 3);
  $addr3 = PQgetvalue($ct, 0, 4);
  $contact = PQgetvalue($ct, 0, 5);
  $phone = PQgetvalue($ct, 0, 6);
  $fax = PQgetvalue($ct, 0, 7);
  $email = PQgetvalue($ct, 0, 8);
  $notes = PQgetvalue($ct, 0, 9);
  $discount = PQgetvalue($ct, 0, 11);
  $tax1 = PQgetvalue($ct, 0, 12);
  $tax2 = PQgetvalue($ct, 0, 13);
  $creditlimit = PQgetvalue($ct, 0, 14);
  $terms = PQgetvalue($ct, 0, 15);


print "
<h2>Editing $name</h2>

<table border=1>
<tr><td>

<form method=post action=update.pl>

<table>
<tr>
<th align=right>Name</th>
<td><input name=name value=\"$name\" size=35 maxlength=35></td>
<th align=right>Phone</th>
<td colspan=2><input name=phone value=\"$phone\" size=20 maxlength=20></td>
</tr>

<tr>
<th align=right>Address</th>
<td><input name=addr1 value=\"$addr1\" size=35 maxlength=35></td>
<th align=right>Fax</th>
<td colspan=2><input name=fax value=\"$fax\" size=20 maxlength=20></td>
</tr>

<tr>
<th></th>
<td><input name=addr2 value=\"$addr2\" size=35 maxlength=35></td>
<td colspan=2>
<table>
<tr>
<th align=right>GST/HST</th><td><input name=tax1 value=\"$tax1\" size=5>%</td>
<!-- <th align=right>PST</th><td><input name=tax2 value=\"$tax2\" size=5>%</td> -->
</tr>
</table>
</td>
</tr>

<tr>
<th></th>
<td><input name=addr3 value=\"$addr3\" size=35 maxlength=35></td>
<th align=right>Discount</th><td><input name=discount value=\"$discount\" size=5>%</td>
</tr>

<tr>
<th align=right>Contact</th>
<td><input name=contact value=\"$contact\" size=35 maxlength=35></td>
<th>Terms</th><td>Net <input name=terms value=\"$terms\" size=3>days</td>
</tr>

<tr>
<th align=right>email</th>
<td><input name=email value=\"$email\" size=35></td>
<th align=right>Credit Limit</th><td><input name=creditlimit value=\"$creditlimit\" size=5></td>
</tr>

<tr valign=top>
<th align=right>Notes</th>
<td colspan=4>
<textarea name=notes rows=6 cols=65>$notes</textarea></td>
</tr>

</table>

<input type=hidden name=oid value=$oid>
<p><input type=submit value=Update>
</form>

</table>
";
} else {
  # record is gone
  print "<h2><font color=red>Record does not exist anymore!</font></h2>";
}

PQclear($ct);

PQfinish($conn);

print "
</body>
</html>
";

