#!/usr/bin/perl

require '../common/wwwutil';

#$userlog = <./user.log>;
#open(USERLOG, ">>$userlog");

# open stdin
read(STDIN, $_, $ENV{'CONTENT_LENGTH'});

# print header
print "Content-type: text/html

<body bgcolor=ffffff>
";


# take string apart
split(/=/);
$fh = &unescape($_[1]);

open(DATA, "$fh") || die "can't open $fh";


while (<DATA>) {
    chop;                           # remove newline
    last if !($_);                  # empty line?
    ($key, $value) = split(/=/);    # split into key=value
    $var{$key} = $value;
}

while (<DATA>) {
    push(@pn, $_);                 # store it by line item
}

close(DATA);


# send to email address
if ($var{'email'}) {
    $sendmail = "sendmail -oi -t";
    if ($var{'email'}) {
	if  ($var{'email'} =~ /[ ][^\@]/) {
	    print "<p>Error: invalid email address!";
	    exit;
	}
	
	open(MAIL, "| $sendmail") || die "Error: can't start mailer";

	print MAIL "To: $var{'email'}\n";
	if ($var{'emailself'}) {
	    print MAIL "Bcc: $var{'invoicedby'} <$var{'myemail'}>\n";
	}
	print MAIL "Subject: INVOICE - $var{'rfqnumber'}\n";
	print MAIL "From: $var{'invoicedby'} <$var{'myemail'}>\n\n";

	$var{'myheader'} = &unescape($var{'myheader'});
	print MAIL "$var{'myheader'}\n";
	
	print MAIL "============================= INVOICE =========================";
	print MAIL "==========" if $var{'showlist'};

	print MAIL "\n\nInvoice Number: $var{'rfqnumber'}    Date: $var{'dateinvoiced'}\n";
	print MAIL "Terms: $var{'terms'} $var{'currency'}";
	print MAIL "    Freight: $var{'freight'}" if $var{'freight'};

	print MAIL "\n\n$var{'name'}\n";
	print MAIL "$var{'addr1'}\n" if $var{'addr1'};
	print MAIL "$var{'addr2'}\n" if $var{'addr2'};
	print MAIL "$var{'addr3'}\n" if $var{'addr3'};

	print MAIL "\n";

	print MAIL "  Make: $var{'make'}" if $var{'make'};
	print MAIL "  Model: $var{'model'}" if $var{'model'};
	print MAIL "  Serial: $var{'serial'}" if $var{'serial'};

	print MAIL "\n\nPart Number      Description            Qt'y   ";
#List     Price     Total";
#123456789012345  12345678901234567890  1234  12345678  12345678  12345678
	print MAIL " List    " if $var{'showlist'};
	print MAIL " Price   ";
	print MAIL "  Total\n";

	print MAIL "===============================================================";
	print MAIL "==========" if $var{'showlist'};
	
	print MAIL "\n";
	
	foreach $item (@pn) {
	    @a = split(/\t/, $item);
	    if ($a[1]) {
		$t = substr($a[1],0,20);
		printf MAIL ("%-15s  %-20s  %4d", $a[0], $t, $a[2]);
		printf MAIL ("  %8.2f", $a[4] * $var{'exchange'}) if $var{'showlist'};
		$t = sprintf("%.2f", $a[3] * $var{'exchange'});
		printf MAIL ("  %8.2f  %8.2f\n", $t, $t * $a[2]);
		$total += $t * $a[2];
	    }
	}

	print MAIL "\n";
	$lg = $var{'showlist'} ? 63 : 53;
	$lg = "%" . $lg . "s";
	if ($var{'shipping'}) {
	  printf MAIL ("$lg", "Freight");
	  $t = $var{'shipping'} * $var{'exchange'};
	  $total += $t;
	  printf MAIL ("  %8.2f\n", $t);
	}
	
	printf MAIL ("$lg", "Subtotal");
	printf MAIL ("  %8.2f\n", $total);
	
	if ($var{'tax1'}) {
	  printf MAIL ("$lg", "GST");
	  $gst = $total * $var{'tax1'}/100 * $var{'exchange'};
	  printf MAIL ("  %8.2f\n", $gst);
	}
	if ($var{'tax2'}) {
	  printf MAIL ("$lg", "PST");
	  $pst = $total * $var{'tax2'}/100 * $var{'exchange'};
	  printf MAIL ("  %8.2f\n", $pst);
	}
	
	
	printf MAIL ("$lg", "Total");
	printf MAIL ("  %8.2f\n", $total + $gst + $pst);

	print MAIL &unescape($var{'message'});
	
	print MAIL "\n\n";

	print MAIL "All prices in $var{'currency'} funds.\n";

	@a = split(/\n/, $var{'myheader'});
	if ($var{'terms'} eq "NET 30") {
	  print MAIL "Please make cheque payable to $a[0]\n";
	}
	
	print MAIL "\nTHANK YOU for your valued business!\n";
	close(MAIL);

	print "<h1>Invoice Transmittal</h1>

	<p>Invoice - $var{'rfqnumber'} successfully transmitted
	to $var{'email'}";

	print "<p>A copy of the invoice was also emailed to yourself." if $var{'emailself'};
    }
} else {
    print "<p>Error: missing email address!";
}

#close(USERLOG);

