#!/usr/bin/perl


use Pg;
require('../common/config');
require('../common/selection');

# if we come from the search screen add the number
$item = $ENV{'QUERY_STRING'};

# check if it was a oem_number or alt_number
@a = split(/=/, $item);
if ($a[0] eq "oem_number") {
  $oem_number = $a[1];
}
if ($a[0] eq "alt_number") {
  $alt_number = $a[1];
}


print "Content-type: text/html

<body bgcolor=ffffff>
";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";


$oem_make = &buildselection("","oem_make","make");
$alt_make = &buildselection("","alt_make","make");


print "
<h2>Adding Alternate</h2>

<form method=post action=addit.pl>

<table border=1>
<tr>
<td>

<table>
<tr>
<th align=right>OEM Number:</th><td><input name=oem_number value=\"$oem_number\" size=16 maxlength=16></td><td>$oem_make</td>
</tr>

<tr>
<th align=right>Alternate:</th><td><input name=alt_number value=\"$alt_number\" size=16 maxlength=16></td><td>$alt_make</td>
</tr>
</table>

</td>
</tr>

</table>

<p><input type=submit value=\"Add Record\">
</form>
";

PQfinish($conn);

print "
</body>
</html>
";


