#!/usr/bin/perl


use Pg;
require('../common/config');
require('../common/selection');

$callback = $ENV{'QUERY_STRING'};

print "Content-type: text/html

<title>Add A/R Transaction</title>

<body bgcolor=ffffff>
";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";

# match ID, set variable to 'customer', retrieve from customer table
$customers = &buildselection("", "customer", "customer");

# currency is separate, returns only character selection
$curr = &currselection("CDN", "currency");


print "
<h2>Adding A/R Transaction</h2>

<form method=post action=addit.pl>

<table border=1>
<tr valign=top>
<td>
<table>

<tr>
<th align=right>Customer:</th><td colspan=3>$customers</td>
</tr>

<tr>
<th align=right>Invoice Number:</th><td><input name=invnumber size=8 maxlength=8></td>
<th align=right>Invoice Date:</th><td><input name=invdate size=10></td>
</tr>

<tr>
<td colspan=2>.</td>
<th align=right>Due Date:</th><td><input name=duedate size=10></td>
</tr>

<tr>
<th align=right>Amount:</th><td><input name=amount size=10> $curr</td>
<th align=right>GST:</th><td><input name=tax1 size=8></td>
</tr>

<tr>
<th align=right>Date Paid:</th><td><input name=datepaid size=10></td>
<th align=right>Amount Paid:</th><td><input name=amountpaid size=10></td>
</tr>

</table>
</td>

</tr>
</table>

<input name=callback type=hidden value=$callback?$callback>
<p><input type=submit value=\"Add Transaction\">
</form>
";

PQfinish($conn);

print "
<p>Enter dates in mm/dd/xxyy or mm-dd-xxyy format; (xx) is optional.
<p><a href=/customer/add.pl>Click here</a> to add a new customer.
<br><a href=/currency/add.pl>Click here</a> to add a new currency symbol.

</body>
</html>
";


