#!/usr/bin/perl


use Pg;
require('../common/wwwutil');
require('../common/config');


#$userlog = <./user.log>;
#open(USERLOG, ">>$userlog");
#close(USERLOG);



# open stdin
read(STDIN, $_, $ENV{'CONTENT_LENGTH'});

# put items in array
@_ = split(/&/);

foreach $_ (@_) {
  ($key, $value) = split(/=/);
  $var{$key} = &unescape($value);
}

#split field into id, name pair
@a = split(/--/, $var{customer});
$var{'id'} = $a[1];


$_ = $var{'number'};
# translate to upper case
tr /[a-z]/[A-Z]/;
tr /+/ /;

# put items in array
@pn = split(/ +/);


# get information for user
@user = &userinfo($ENV{'REMOTE_USER'});


print "Content-type: text/html

<body bgcolor=ffffff>
";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";

# retrieve customer
$query = "select * from customer where id = $var{'id'};";
$ct = PQexec($conn, $query);
$n = PQntuples($ct);

if ($n) {
  for $i (0 .. PQnfields($ct)-1) {
    $var{PQfname($ct,$i)} = PQgetvalue($ct,0,$i);
  }
  
  $var{'notes'} =~ s/\n/<br>/g;

print "
<center>
<table cellpadding=10>
<tr align=center><td><img src=/images/fdp.gif></td>
<td><h3>";
@addr = split(/\t/, $user[1]);
foreach $item (@addr) {
    print "$item<br>\n";
}

print "</h3>
</td></tr>
</table>
</center>


<h1 align=center>*** I N V O I C E ***<hr></h1>

<p><form method=post action=prepinvoice.pl>

<table>
<tr><th align=left>To:</th></tr>
<tr>
<td><input name=name value=\"$var{'name'}\" size=35></td>
<td width=50>&nbsp;</td>
<th align=right>Tel:</th>
<td><input name=phone value=\"$var{'phone'}\" size=20></td>
</tr>
<tr>
<td><input name=addr1 value=\"$var{'addr1'}\" size=35></td>
<td>&nbsp;</td>
<th>Fax:</th>
<td><input name=fax value=\"$var{'fax'}\" size=20></td>
</tr>
<tr>
<td><input name=addr2 value=\"$var{'addr2'}\" size=35></td>
<td>&nbsp;</td>
</tr>
<tr>
<td><input name=addr3 value=\"$var{'addr3'}\" size=35></td>
<td>&nbsp;</td>
</tr>

</table>


<table>
<tr><th align=right>Attention:</th><td><input name=contact value=\"$var{'contact'}\" size=35></td></tr>
<tr><th align=right>email:</th><td><input name=email value=\"$var{'email'}\" size=50></td></tr>
</table>

<table>
<tr><th align=right>Make</th><td><input name=make></td>
<th align=right>Model</th><td><input name=model></td>
<th align=right>S/N</th><td><input name=serial></td></tr>
</table>

<p>
<table border=1>
<tr><th>Part Number</th><th>Description</th><th>Qt'y</th>
<th>Unit Price CDN</th>
<th>OEM List CDN</th>
</tr>
";


# get currency exchange rate
$query = "select id,sell from currency;";
$curr = PQexec($conn, $query);
$n = PQntuples($curr);

for $i (0..$n-1) {
  $key = PQgetvalue($curr,$i,0);
  $exchange{$key} = PQgetvalue($curr,$i,1);
}
PQclear($curr);


# check each item in database
foreach $item (@pn) {

    $item = &unescape($item);
    
    $query = "select p.number, p.description, p.list_price, p.list_curr, ";
    $query .= "p.sell_price, p.sell_curr ";
    $query .= "from parts p where p.number = \'$item\';";
    

    $parts = PQexec($conn, $query);
    $n = PQntuples($parts);

    if ($n) {
    
	$pn = PQgetvalue($parts,0,0);
	$desc = PQgetvalue($parts,0,1);
	$list_price = PQgetvalue($parts,0,2);
	$list_curr = PQgetvalue($parts,0,3);
	$sell_price = PQgetvalue($parts,0,4);
	$sell_curr = PQgetvalue($parts,0,5);

	$list_cdn = sprintf("%.2f", $list_price * $exchange{$list_curr});
	$sell_cdn = sprintf("%.2f", $sell_price * $exchange{$sell_curr});
	
	print "
	<tr>
	<input name=P type=hidden value=\"$pn\">
	<td>$pn</td>
	<td><input name=D value=\"$desc\" size=20></td>
	<td><input name=Q size=4></td>
	<td><input name=S value=$sell_cdn size=12></td>
	<td><input name=L value=$list_cdn size=12></td>
	</tr>
	";
    } else {

	print "
	<tr>
	<input name=P type=hidden value=\"$item\">
	<td>$item</td>
	<td><input name=D size=20></td>
	<td><input name=Q size=4></td>
	<td><input name=S size=12></td>
	<td><input name=L size=12></td>
	</tr>
	";
	
    }
    PQclear($parts);
}


print "
</table>


<p>Shipping and Handling charges: 
<input type=text name=shipping size=10>
<br>Freight: <input name=freight size=35 value=\"F.O.B. Edmonton\">

<br>Terms:
<input name=terms type=radio value=CASH checked> Cash
<input name=terms type=radio value=VISA> VISA
<input name=terms type=radio value=MC> MC
<input name=terms type=radio value=\"MONEY TRANSFER\"> Money Transfer
<input name=terms type=radio value=\"NET 30\"> Net 30


<br>Invoice in <input name=currency value=\"CDN\">
Exchange rate
<input name=exchange value=1>

<p>Message:
<br><textarea name=message rows=10 cols=60></textarea>


<p>Show suggested list prices?
<input name=showlist type=radio value=1 checked> Yes
<input name=showlist type=radio value=0> No
<br>Send Invoice by email? 
<input name=byemail type=radio value=1> Yes
<input name=byemail type=radio value=0 checked> No
<br>email a copy to yourself?
<input name=emailself type=radio value=1 checked> Yes
<input name=emailself type=radio value=0> No

<input name=tax1 type=hidden value=$var{'tax1'}>
<input name=tax2 type=hidden value=$var{'tax2'}>

<p><input type=submit value=\"Prepare Invoice\">
</form>

<p><hr>
<p>To calculate the amounts in another currency fill out the currency field
and enter the conversion factor. CDN - US, you would enter .7, to invoice
in \"Austrian Schillings\" the conversion is something like \"8.9\".
<br>If quantities are set to \"0\", items are removed from the invoice.
<br>If you want to email the invoice fill out the email address. I don't
check the email address for anything else but \"\@\" and extra spaces.
Any other funny characters are passed on and the email will most likely bomb
out.
<br>The button \"email\" on the prepared invoice does not show up if email is
not checked. Use this to fax or print the invoice without the button showing
up.
";

} else {
  print "Customer not on file!";
}

PQclear($ct);
PQfinish($conn);

print "
</body>
</html>
";


