#!/usr/bin/perl


use Pg;
require('../common/config');
require('../common/selection');

# if we come from the search screen add the number
$number = $ENV{'QUERY_STRING'};

print "Content-type: text/html\n\n";
print "<body bgcolor=ffffff>\n";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";


$make = &buildselection("","make","make");

$list_curr = &currselection("CDN", "list_curr");
$sell_curr = &currselection("CDN", "sell_curr");

print "
<h2>Adding Part</h2>

<form method=post action=addit.pl>

<table border=1>
<tr valign=top>
<td>
<table>

<tr>
<th align=right>Part Number:</th><td><input name=number value=\"$number\" size=16 maxlength=16></td>
</tr>

<tr>
<th align=right>Description:</th><td><input name=description size=35 maxlength=35></td>
<th align=right>List:</th><td><input name=list_price size=8></td><td>$list_curr</td>
</tr>

<tr>
<th align=right>Make:</th><td>$make</td>
<th align=right>Sell:</th><td><input name=sell_price size=8></td><td>$sell_curr</td>
</tr>

<tr>
<th align=right>Model:</th><td><input name=model size=35></td>
<th align=right>Weight (kg):</th><td><input name=weight_kg size=8></td>
</tr>

<tr>
<th align=right>Serial Number:</th><td><input name=serialnumber size=27></td>
<th align=right>Price update:</th><td colspan=2><input name=priceupdate size=10></td>
</tr>

<tr>
<th align=right>Notes:</th><td colspan=4><textarea name=notes cols=62 rows=4>$notes</textarea></td>
</tr>

</table>
</td>

</tr>
</table>

<p><input type=submit value=\"Add Record\">
</form>
";

PQfinish($conn);

print "
</body>
</html>
";


