#!/usr/bin/perl


use Pg;
require('../common/config');
require('replayout');


print "Content-type: text/html

<title>Supplier List</title>

<body bgcolor=ffffff>
";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";


print "
<h2>Suppliers</h2>

<pre>
";


$query = "select *,oid from supplier order by name;";
    
$ct = PQexec($conn, $query);
$n = PQntuples($ct);

if ($n) {
  for $i (0 .. $n-1) {
    &listsupplier($ct, $i);
  }
} else {
  print "<h2><font color=red>No Suppliers on file!</font></h2>";
}

PQclear($ct);

PQfinish($conn);

print "
</pre>

</body>
</html>
";

